﻿Imports Infragistics.Win.UltraWinGrid

Public Class Form1

    Private Sub UltraGrid1_InitializeLayout(ByVal sender As System.Object, ByVal e As Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs) Handles UltraGrid1.InitializeLayout
        Dim HandAppearance As Infragistics.Win.Appearance
        HandAppearance = e.Layout.Appearances.Add("Hand")
        HandAppearance.Cursor = Cursors.Hand

        e.Layout.Override.AllowAddNew = AllowAddNew.TemplateOnBottom
    End Sub

    Private Sub UltraGrid1_InitializeRow(ByVal sender As System.Object, ByVal e As Infragistics.Win.UltraWinGrid.InitializeRowEventArgs) Handles UltraGrid1.InitializeRow
        Me.SetHandCursor(e.Row)
    End Sub

    Private Sub UltraGrid1_InitializeTemplateAddRow(ByVal sender As System.Object, ByVal e As Infragistics.Win.UltraWinGrid.InitializeTemplateAddRowEventArgs) Handles UltraGrid1.InitializeTemplateAddRow
        Me.SetHandCursor(e.TemplateAddRow)
    End Sub

    Private Sub UltraGrid1_AfterRowUpdate(ByVal sender As System.Object, ByVal e As Infragistics.Win.UltraWinGrid.RowEventArgs) Handles UltraGrid1.AfterRowUpdate
        Me.SetHandCursor(e.Row)
    End Sub

    Private Sub SetHandCursor(ByVal row As UltraGridRow)
        If row.IsAddRow OrElse row.IsTemplateAddRow Or row.IsUnmodifiedTemplateAddRow Then
            row.Cells("Column 1").Appearance = Nothing
        Else
            row.Cells("Column 1").Appearance = row.Band.Layout.Appearances("Hand")
        End If
    End Sub

End Class
